> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to retrieve details of a specific playbook execution by its ID.

# Get a playbook execution by its ID



## OpenAPI

````yaml get /workspace/{ws_id}/executions/{id}
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/executions/{id}:
    get:
      tags:
        - Executions
      summary: Get a playbook execution by its ID
      description: Retrieve a single playbook execution by its `id`.
      operationId: PlaybookExecutionGetById
      parameters:
        - name: ws_id
          in: path
          description: The ID of the workspace containing the execution
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The ID of the playbook execution to retrieve
          required: true
          schema:
            type: string
        - name: withApplyView
          in: query
          description: When set to true, retrieve enhanced data
          schema:
            type: boolean
      responses:
        '200':
          description: Execution with subflow name mapping
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PlaybookExecutionWithSubflowNames'
        '400':
          description: Missing or invalid execution ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '404':
          description: Execution not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    models.PlaybookExecutionWithSubflowNames:
      type: object
      properties:
        app_id:
          type: string
        async_parent_execution_id:
          type: string
        cancel_reason:
          type: string
        created_at:
          type: integer
        created_by:
          type: string
        ctrl_id:
          type: string
        display_name:
          type: string
          description: The execution's display name
          example: 'Restart pod #12'
        draft_execution_number:
          type: integer
        duration:
          type: integer
          description: The runtime duration in milliseconds
          example: 1523
        engine_v2_compile_error:
          type: string
        engine_version:
          type: string
          description: The preferred workflow engine version
        error_details:
          type: object
          additionalProperties:
            type: string
        event:
          type: object
          description: The execution's trigger event payload
        execution_depth:
          type: integer
        execution_number:
          type: integer
          description: UNIQUE INDEX idx_playbook_executions_pbid_en
        finished_at:
          type: integer
        id:
          type: string
        input_values_origin_exec_id:
          type: string
          example: ''
        inputs:
          $ref: '#/components/schemas/action_inputs.InputParams'
        last_playbook_name:
          type: string
          description: >-
            LastPlaybookName Holds last playbook name after playbook deletion to
            be used in display names for past executions
        name:
          type: string
        net_runtime_ms:
          type: integer
        pack_id:
          type: string
          description: The parent automation pack id
          example: pack_01HZZ
        parent_execution_id:
          type: string
        playbook:
          type: string
        playbook_deleted:
          type: boolean
          description: Whether the playbook was deleted
          example: false
        playbook_id:
          type: string
          description: UNIQUE INDEX idx_playbook_executions_pbid_en
        playbook_name:
          type: string
          description: The playbook name
          example: Restart pod
        runner_cluster_version:
          type: string
        runner_group_id:
          type: string
        runner_id:
          type: string
          description: use text column type to allow empty strings
        runner_version:
          type: string
        scheduled_trigger_timezone:
          type: string
          description: Timezone for scheduled trigger
          example: America/New_York
        started_at:
          type: integer
        state:
          type: string
        state_ui:
          type: string
        step_results:
          $ref: '#/components/schemas/models.StepResults'
        subflows_reference_to_name_mapping:
          type: object
          additionalProperties:
            type: string
          description: Subflow references to playbook names mapping
          example:
            subflow_ref_1: Child flow
        tenant_id:
          type: string
        test_session_id:
          type: string
        timeout:
          type: integer
          description: timeout in milliseconds
        top_execution_id:
          type: string
        top_execution_started_at:
          type: integer
        trigger_type:
          type: string
          description: The type of the trigger of the workflow
        type:
          type: string
        updated_at:
          type: integer
        updated_by:
          type: string
        version:
          type: string
        with_concurrency_limit:
          type: boolean
        workspace_id:
          type: string
      description: >-
        Playbook execution details including subflow reference to playbook name
        mapping.
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    action_inputs.InputParams:
      type: object
      additionalProperties: true
    models.StepResults:
      type: object
      additionalProperties:
        type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````